2019-10-15 23:34 EDT


View Issue Details Jump to Notes ] Related Changesets ]
IDProjectCategoryView StatusLast Update
0002441FSSCPgameplaypublic2012-01-23 17:56
ReporterMatthTheGeek 
Assigned ToGoober5000 
PrioritynormalSeveritymajorReproducibilityalways
StatusresolvedResolutionfixed 
Product Version3.6.13 
Target Version3.6.14Fixed in Version3.6.14 
Summary0002441: "friendly-stealth-invisible" flag doesn't work
DescriptionWhen a friendly ship uses both the "stealth" and "friendly-stealth-invisible" FRED flags (known as "Stealth" and "Invisible to Friendlies When Stealthed" in the Misc tab of the Ship editor), you can still see it correctly on the radar and target it.
Additional InformationReproduced with retail assets, see attachment.
TagsNo tags attached.
Attached Files
  • ? file icon Stealth Test.fs2 (3,883 bytes) 2011-05-22 12:42
  • diff file icon Mantis2441.diff (467 bytes) 2011-05-27 02:16 -
    Index: code/ship/awacs.cpp
    ===================================================================
    --- code/ship/awacs.cpp	(revision 7210)
    +++ code/ship/awacs.cpp	(working copy)
    @@ -370,7 +370,7 @@
     			continue;
     
     		// check if ship if flagged as invisible
    -		if (shipp->flags & SF_HIDDEN_FROM_SENSORS)
    +		if ((shipp->flags & SF_HIDDEN_FROM_SENSORS) || (shipp->flags2 & SF2_FRIENDLY_STEALTH_INVIS))
     			continue;
     
     		Ship_visibility_by_team[shipp->team][ship_num] = 1;
    
    diff file icon Mantis2441.diff (467 bytes) 2011-05-27 02:16 +

-Relationships
has duplicate 0002170closedGoober5000 Friendly stealth invisible doesn't seem to work 
+Relationships

-Notes

~0012687

pyro3d (reporter)

Added fix.

~0012688

The_E (administrator)

Committed to trunk in revision 7221

~0012690

Goober5000 (administrator)

Rolling that commit back and reopening. The change made is most certainly *not* a fix. In fact, it is 90 degrees away from being a fix.

~0013058

guest (viewer)

Fix committed to trunk@8232.

~0013071

Zacam (administrator)

Fix committed to fs2_open_3_6_14@8251.

~0013101

Goober5000 (administrator)

Properly fixed in revision 8299.

~0013133

chief1983 (administrator)

Fix committed to fs2_open_3_6_14@8352.
+Notes

-Related Changesets
fs2open: trunk r8232
Timestamp: 2012-01-15 09:14:46
Author: The_E
Ported: N/A
Details ] Diff ]
Fix for Mantis 2441: "friendly-stealth-invisible" flag doesn't work
mod - /trunk/fs2_open/code/ship/awacs.cpp Diff ] File ]
mod - /trunk/fs2_open/code/hud/hudtarget.cpp Diff ] File ]
fs2open: fs2_open_3_6_14 r8251
Timestamp: 2012-01-15 19:31:26
Author: Zacam
Ported: N/A
Details ] Diff ]
backport: Trunk 8232 + 8237; Fix for Mantis 2441: "friendly-stealth-invisible" flag doesn't work
mod - /branches/fs2_open_3_6_14/code/ship/awacs.cpp Diff ] File ]
mod - /branches/fs2_open_3_6_14/code/hud/hudtarget.cpp Diff ] File ]
fs2open: fs2_open_3_6_14 r8352
Timestamp: 2012-01-23 17:56:02
Author: chief1983
Ported: N/A
Details ] Diff ]
Backport: Trunk 8299 + 8302; the proper way to fix Mantis 0002441 is by modifying the team_visibility_update function && follow-up to 8299: we need to check visibility for our own team in case we have a friendly-stealth-invisible ship covered by AWACS, or something\nalso, clarify terminology: in-frustum/not-in-frustum replaces visible/invisible\nand do some minor rewrites for additional clarification
mod - /branches/fs2_open_3_6_14/code/ship/awacs.cpp Diff ] File ]
mod - /branches/fs2_open_3_6_14/code/radar/radarsetup.cpp Diff ] File ]
mod - /branches/fs2_open_3_6_14/code/nebula/neb.cpp Diff ] File ]
mod - /branches/fs2_open_3_6_14/code/hud/hudtarget.cpp Diff ] File ]
mod - /branches/fs2_open_3_6_14/code/ai/aicode.cpp Diff ] File ]

+Related Changesets

-Issue History
Date Modified Username Field Change
2011-05-22 12:42 MatthTheGeek New Issue
2011-05-22 12:42 MatthTheGeek File Added: Stealth Test.fs2
2011-05-27 02:16 pyro3d File Added: Mantis2441.diff
2011-05-27 02:16 pyro3d Note Added: 0012687
2011-05-27 05:11 The_E Note Added: 0012688
2011-05-27 05:11 The_E Status new => resolved
2011-05-27 05:11 The_E Fixed in Version => 3.6.13
2011-05-27 05:11 The_E Resolution open => fixed
2011-05-27 05:11 The_E Assigned To => The_E
2011-05-29 02:55 Goober5000 Note Added: 0012690
2011-05-29 02:55 Goober5000 Status resolved => feedback
2011-05-29 02:55 Goober5000 Resolution fixed => reopened
2011-05-29 02:55 Goober5000 Fixed in Version 3.6.13 =>
2012-01-15 09:11 Changeset attached => fs2open trunk r8232
2012-01-15 09:11 guest Note Added: 0013058
2012-01-15 09:11 guest Status feedback => resolved
2012-01-15 19:28 Zacam Changeset attached => fs2open fs2_open_3_6_14 r8251
2012-01-15 19:28 Zacam Note Added: 0013071
2012-01-15 19:28 Zacam Assigned To The_E => Zacam
2012-01-22 00:23 Goober5000 Assigned To Zacam => Goober5000
2012-01-22 00:23 Goober5000 Severity minor => major
2012-01-22 00:23 Goober5000 Status resolved => confirmed
2012-01-22 00:23 Goober5000 Category FRED => gameplay
2012-01-22 00:23 Goober5000 Target Version => 3.6.14
2012-01-22 00:24 Goober5000 Relationship added has duplicate 0002170
2012-01-22 00:38 Goober5000 Note Added: 0013101
2012-01-22 00:38 Goober5000 Status confirmed => resolved
2012-01-22 00:38 Goober5000 Resolution reopened => fixed
2012-01-22 00:38 Goober5000 Fixed in Version => 3.6.14
2012-01-23 17:56 chief1983 Changeset attached => fs2open fs2_open_3_6_14 r8352
2012-01-23 17:56 chief1983 Note Added: 0013133
+Issue History